## irrlicht 1.7.1+dfsg1

=== debian/changelog ===
irrlicht (1.7.1+dfsg1-1) unstable; urgency=low

  * New upstream release (LP: #525742)

 -- Christoph Egger <christoph@debian.org>  Thu, 11 Mar 2010 19:17:42 +0100

irrlicht (1.7+dfsg1-1) unstable; urgency=low

  * New Upstream Release
  * SoName bump, so rename the library
  * Update copyright information
  * Update repacking, killing newly embedded libbz2
  * Build with RTTI (Closes: #568247)
  * Update my E-Mail Address

 -- Christoph Egger <christoph@debian.org>  Wed, 03 Feb 2010 17:46:30 +0100

irrlicht (1.6+dfsg1-1) unstable; urgency=low

  * New upstream Version
    * This breaks ABI and API in quite some ways!
      * Change name of the library package to reflect new soname
    * Refresh patches
    * Update get-orig-source target, debian/copyright file
    * Needs mesa-common-dev >= 7.6 to build, reflected in build-deps
  * Add patch arch-support
    * Build with -fPIC instead of -fpic (Closes: #550349)
    * Remove assumption that every sparc is runnign solaris
    * Implement some real endian detection that gets triggered not only for
      sparcs using endian.h
    * Building on GNU/kFreeBSD and GNU/Hurd succedes if Linux joystick
      support is disabled, doing so there
  * call dh_link only with -plibirrlicht1.6, not with -a so the symlink is
    only present in one package (Closes: 549481)
  * Bump standards version (no changes)

 -- Christoph Egger <debian@christoph-egger.org>  Sat, 10 Oct 2009 23:47:15 +0200

irrlicht (1.5+dfsg1-1) unstable; urgency=low

  [ Christoph Egger ]
  * Initial release (Closes: #397255)

  [ Gonéri Le Bouder ]
  * clean the tarball up

 -- Christoph Egger <debian@christoph-egger.org>  Wed, 30 Sep 2009 01:29:49 +0200
