=== debian/control ===
Source: irrlicht
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7),
  quilt,
  libjpeg62-dev,
  libpng12-dev,
  mesa-common-dev (>= 7.6),
  libglu1-mesa-dev,
  libsdl1.2-dev,
  libx11-dev,
  libxrandr-dev,
  x11proto-xf86vidmode-dev,
  libxxf86vm-dev,
  libbz2-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
Section: libs
Homepage: http://irrlicht.sf.net

Package: libirrlicht-dev
Section: libdevel
Architecture: any
Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
Suggests: irrlicht-doc
Description: High performance realtime 3D engine development library
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the development library.

Package: libirrlicht1.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High performance realtime 3D engine
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.

Package: libirrlicht1.7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for irrlicht
 This package contains the debugging symbols associated with irrlicht.
 They will automatically be used by gdb for debugging irrlicht-related
 issues.

Package: libirrlicht-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: High performance realtime 3D engine (API documentation)
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the API documentation and examples.
