=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


include /usr/share/quilt/quilt.make
-include /usr/share/topgit/tg2quilt.mk

# shared library versions, option 1
version=1.7.0
major=1.7
repackv=1

build-lib-%: $(QUILT_STAMPFN)
	dh_testdir

	mkdir -p lib/Linux

	CFLAGS="$(CFLAGS)" LFLAGS="$(LFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht $*

	touch $@

build-arch: build-lib-sharedlib build-lib-staticlib

build-indep: # build-doc

build: build-arch build-indep

#build-doc:
#	archmage doc/irrlicht.chm html
#	touch $@

get-orig-source:
	mkdir ../repack
	uscan --force-download --destdir ../repack --download-current-version
	( \
		cd ../repack ;\
		unzip * ;\
		cd irrlicht-$(major) ;\
		rm -rf source/Irrlicht/jpeglib ;\
		rm -rf source/Irrlicht/zlib ;\
		rm -rf source/Irrlicht/libpng ;\
		rm -rf source/Irrlicht/lzma ;\
		rm -rf source/Irrlicht/bzip2 ;\
		rm -rf source/Irrlicht/MacOSX ;\
		for i in glext.h glxext.h wglext.h ; do rm source/Irrlicht/$$i ; done ;\
		rm -rf bin ;\
		rm -rf media ;\
		rm -rf lib;\
		find . \( -name \*.exe -o -name \*.dll \) -exec rm {} \; ;\
		( cd doc && svn export https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/trunk/scripts/doc/irrlicht/ ) ;\
		cd .. ;\
		GZIP="--best" tar -czf irrlicht_$(major)+dfsg$(repackv).orig.tar.gz irrlicht-$(major) ;\
		mv irrlicht_$(major)+dfsg$(repackv).orig.tar.gz .. ;\
	)
	rm -rf ../repack

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf html

	$(MAKE) -C source/Irrlicht clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -plibirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib

	$(MAKE) -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install


# Build architecture-independent files here.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i changes.txt
	dh_installdocs -i
	dh_installexamples -i
	dh_compress -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a changes.txt
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_link -plibirrlicht$(major) usr/lib/libIrrlicht.so.$(version) usr/lib/libIrrlicht.so.$(major)
	dh_strip -a --dbg-package=libirrlicht$(major)-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
