## irrlicht 1.7.2+dfsg1

=== debian/changelog ===
irrlicht (1.7.2+dfsg1-1ubuntu1) oneiric; urgency=low

  * Drop unknown linker options. Closes: #628282. LP: #771053.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Sep 2011 12:14:29 +0200

irrlicht (1.7.2+dfsg1-1) unstable; urgency=low

  * New upstream release (LP: #715700)
  * Debian specific new soname
  * Bump Policy version to 3.9.1 -- no changes

 -- Christoph Egger <christoph@debian.org>  Sun, 20 Feb 2011 14:38:31 +0100
