=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   x11proto-xf86vidmode-dev,
   libxxf86vm-dev,
   libbz2-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
 Section: libs
@@ -23,7 +23,7 @@
 Package: libirrlicht-dev
 Section: libdevel
 Architecture: any
-Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
 Suggests: irrlicht-doc
 Description: High performance realtime 3D engine development library
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
@@ -33,7 +33,7 @@
  .
  This package contains the development library.
 
-Package: libirrlicht1.7
+Package: libirrlicht1.7a
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High performance realtime 3D engine
@@ -42,11 +42,11 @@
  and has all of the state-of-the-art features
  which can be found in commercial 3d engines.
 
-Package: libirrlicht1.7-dbg
+Package: libirrlicht1.7a-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for irrlicht
  This package contains the debugging symbols associated with irrlicht.
  They will automatically be used by gdb for debugging irrlicht-related
