=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 -include /usr/share/topgit/tg2quilt.mk
 
 # shared library versions, option 1
-version=1.7.0
-major=1.7
+version=1.7a.2
+major=1.7a
 repackv=1
 
 build-lib-%: $(QUILT_STAMPFN)
@@ -43,7 +43,7 @@
 	( \
 		cd ../repack ;\
 		unzip * ;\
-		cd irrlicht-$(major) ;\
+		cd irrlicht-$(version) ;\
 		rm -rf source/Irrlicht/jpeglib ;\
 		rm -rf source/Irrlicht/zlib ;\
 		rm -rf source/Irrlicht/libpng ;\
@@ -57,8 +57,8 @@
 		find . \( -name \*.exe -o -name \*.dll \) -exec rm {} \; ;\
 		( cd doc && svn export https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/trunk/scripts/doc/irrlicht/ ) ;\
 		cd .. ;\
-		GZIP="--best" tar -czf irrlicht_$(major)+dfsg$(repackv).orig.tar.gz irrlicht-$(major) ;\
-		mv irrlicht_$(major)+dfsg$(repackv).orig.tar.gz .. ;\
+		GZIP="--best" tar -czf irrlicht_$(version)+dfsg$(repackv).orig.tar.gz irrlicht-$(version) ;\
+		mv irrlicht_$(version)+dfsg$(repackv).orig.tar.gz .. ;\
 	)
 	rm -rf ../repack
