## irrlicht 1.7.3+dfsg1

=== debian/changelog ===
irrlicht (1.7.3+dfsg1-4) unstable; urgency=medium

  * Add debian/patches/soname-fixes.diff to fix soname issues (soname isn't
    supposed to change), add corresponding shlibs file. (Closes: #675929)
  * Remove lintian override.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 04 Jun 2012 01:13:59 -0700

irrlicht (1.7.3+dfsg1-3) unstable; urgency=low

  * Add debian/patches/fix-hurd-ftbfs.patch to fix FTBFS on hurd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 29 May 2012 21:44:50 -0700

irrlicht (1.7.3+dfsg1-2) unstable; urgency=low

  * Convert to multi-arch.
  * Fix suggests on irrlicht-doc -> libirrlicht-doc.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 24 May 2012 01:15:51 -0700

irrlicht (1.7.3+dfsg1-1) unstable; urgency=low

  * Acknowledge NMU; thanks to Didier Raboud and Matthias Klose for their work.
  * New upstream release.
  * Add myself to Uploaders.
  * Add build-depends on doxygen-latex.
    - Build doc during package build instead of shipping in orig tarball.
  * Build-depend on libpng-dev instead of libpng12-dev. (Closes: #662380)
  * Add patch libpng15-support.diff to fix FTBFS against libpng 1.5.
    (Closes: #649947)
  * Drop patch linker-options.diff; applied upstream.
  * Remove explicit build-dep on quilt.
  * Switch to dh 7 "rules.tiny" style debian/rules.
  * Disable debug build (build with NDEBUG="true").
  * Bump standards version to 3.9.3, no changes required.
  * Bump dh compat level to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 02 May 2012 21:23:05 -0700

irrlicht (1.7.2+dfsg1-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Didier Raboud ]
  * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #634032)
  * Import Ubuntu patch to fix build with recent compilers

  [ Ubuntu: Matthias Klose ]
  * Drop unknown linker options (Closes: #628282. LP: #771053)

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Nov 2011 17:14:04 +0100
