=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: irrlicht
+Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper (>= 7),
-  quilt,
-  libjpeg62-dev,
-  libpng12-dev,
-  mesa-common-dev (>= 7.6),
-  libglu1-mesa-dev,
-  libsdl1.2-dev,
-  libx11-dev,
-  libxrandr-dev,
-  x11proto-xf86vidmode-dev,
-  libxxf86vm-dev,
-  libbz2-dev
-Standards-Version: 3.9.1
+Uploaders:
+ Christoph Egger <christoph@debian.org>,
+ Vincent Cheng <Vincentc1208@gmail.com>
+Build-Depends:
+ debhelper (>= 9),
+ doxygen-latex,
+ libbz2-dev,
+ libglu1-mesa-dev,
+ libjpeg-dev,
+ libpng-dev,
+ libsdl1.2-dev,
+ libx11-dev,
+ libxrandr-dev,
+ libxxf86vm-dev,
+ mesa-common-dev (>= 7.6),
+ x11proto-xf86vidmode-dev
+Standards-Version: 3.9.3
+Homepage: http://irrlicht.sf.net
 Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
-Section: libs
-Homepage: http://irrlicht.sf.net
 
 Package: libirrlicht-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
-Suggests: irrlicht-doc
+Suggests: libirrlicht-doc
 Description: High performance realtime 3D engine development library
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
  It has support for OpenGL and its own software renderer,
@@ -35,7 +39,9 @@
 
 Package: libirrlicht1.7a
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High performance realtime 3D engine
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
  It has support for OpenGL and its own software renderer,
@@ -46,6 +52,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for irrlicht
  This package contains the debugging symbols associated with irrlicht.
