## irrlicht 1.8+dfsg1

=== debian/changelog ===
irrlicht (1.8+dfsg1-2) unstable; urgency=low

  * Upload to unstable.
  * Update Standards version to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 05 May 2013 09:15:14 -0700

irrlicht (1.8+dfsg1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.
    - New soname, change package names in debian/control accordingly.
    - Remove unneeded patches: correct-install.diff, remove-svn-soname.diff,
      libpng15-support.diff, soname-fixes.diff.
    - Refresh remaining patches.
  * Add explicit build-depends on zlib1g-dev.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 08 Nov 2012 21:11:09 -0800
