=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
  libxrandr-dev,
  libxxf86vm-dev,
  mesa-common-dev (>= 7.6),
- x11proto-xf86vidmode-dev
-Standards-Version: 3.9.3
+ x11proto-xf86vidmode-dev,
+ zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://irrlicht.sf.net
 Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
@@ -27,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
 Suggests: libirrlicht-doc
 Description: High performance realtime 3D engine development library
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
@@ -37,7 +38,7 @@
  .
  This package contains the development library.
 
-Package: libirrlicht1.7a
+Package: libirrlicht1.8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -48,12 +49,12 @@
  and has all of the state-of-the-art features
  which can be found in commercial 3d engines.
 
-Package: libirrlicht1.7a-dbg
+Package: libirrlicht1.8-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for irrlicht
  This package contains the debugging symbols associated with irrlicht.
  They will automatically be used by gdb for debugging irrlicht-related
