=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # shared library versions, option 1
-upstream_version=1.7.3
-version=1.7a.3
-major=1.7a
+upstream_version=1.8
+version=1.8.0
+major=1.8
 repackv=1
 
 %:
@@ -59,11 +59,13 @@
 	dh_strip --dbg-package=libirrlicht$(major)-dbg
 
 get-orig-source:
-	mkdir ../repack
+	# Note: scripts/ directory seems to be missing from upstream zip, so download from:
+	# https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/
+	mkdir -p ../repack
 	uscan --force-download --destdir ../repack --download-current-version
 	( \
 		cd ../repack ;\
-		unzip * ;\
+		unzip irrlicht-$(upstream_version).zip ;\
 		cd irrlicht-$(upstream_version) ;\
 		rm -rf source/Irrlicht/jpeglib ;\
 		rm -rf source/Irrlicht/zlib ;\
@@ -71,11 +73,16 @@
 		rm -rf source/Irrlicht/lzma ;\
 		rm -rf source/Irrlicht/bzip2 ;\
 		rm -rf source/Irrlicht/MacOSX ;\
-		for i in glext.h glxext.h wglext.h ; do rm source/Irrlicht/$$i ; done ;\
+		rm -f source/Irrlicht/glext.h ;\
+		rm -f source/Irrlicht/glxext.h ;\
+		rm -f source/Irrlicht/wglext.h ;\
 		rm -rf bin ;\
 		rm -rf media ;\
-		rm -rf lib;\
-		find . \( -name \*.exe -o -name \*.dll \) -exec rm {} \; ;\
+		rm -rf lib ;\
+		rm -rf doc/html ;\
+		svn co https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/ scripts ;\
+		find . -name .svn -exec rm -rf {} \; ;\
+		find . \( -name \*.exe -o -name \*.dll \) -exec rm -f {} \; ;\
 		cd .. ;\
 		GZIP="--best" tar -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
 		mv irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz .. ;\
