## irrlicht 1.8.0-maemo1

=== debian/changelog ===
irrlicht (1.8.0-maemo1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 13 May 2012 13:46:47 +0200
