=== debian/control ===
Source: irrlicht
Priority: extra
Section: libs
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), quilt, libpng12-dev, libx11-dev, libbz2-dev, opengles-sgx-img-common-dev,libgles2-sgx-img-dev, libxext-dev, libxcursor-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:nicolaihess@web.de

Package: irrlicht1.8.0-dev
Architecture: armel
Section: libdevel
Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}
Description: Development library for the Irrlicht Engine
 This is the development package for developers using
 the Irrlicht Engine.

Package: irrlicht1.8.0
Architecture: armel
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free and open source 3D engine
 Irrlicht is a fast realtime 3D engine written in
 C++ and supports OpenGLES 2.0

Package: irrlicht1.8.0-examples
Architecture: armel
Section: libs
Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}
Description: Demoapplications for the Irrlicht Engine
 These are some Demo Application from the Irrlicht 
 project. Not all examples are working on this platform.
