=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
include /usr/share/quilt/quilt.make
-include /usr/share/topgit/tg2quilt.mk



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-examples: $(QUILT_STAMPFN)
	dh_testdir
	mkdir -p bin/Linux
	$(MAKE) MAEMO=1 -C examples

build-lib-%: $(QUILT_STAMPFN)
	dh_testdir
	mkdir -p lib/Linux
	$(MAKE) MAEMO=1 -C source/Irrlicht $*

build: build-arch build-indep

build-arch: build-lib-sharedlib build-lib-staticlib build-examples
build-indep: # build-doc

clean: unpatch
	dh_testdir
	dh_testroot
	$(MAKE) MAEMO=1 -C source/Irrlicht clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib

	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
	$(MAKE) -C media DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/media install

# Build architecture independant packages using the common target.
binary-indep: build install


# Build architecture dependant packages using the common target.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a changes.txt
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
