## irrlicht 1.8.0-maemo2

=== debian/changelog ===
irrlicht (1.8.0-maemo2) unstable; urgency=low

  * correct package contents.

 -- Nicolai Hess <nicolaihess@web.de>  Thu, 17 May 2012 18:52:59 +0200
