=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 include /usr/share/quilt/quilt.make
 -include /usr/share/topgit/tg2quilt.mk
 
-
+version=1.8.0
+version=1.8
 
 CFLAGS = -Wall -g
