## irrlicht 1.8.0-maemo3

=== debian/changelog ===
irrlicht (1.8.0-maemo3) unstable; urgency=low

  * yet another packaging issue

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 18 May 2012 00:20:55 +0200
