=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib
-
+	dh_installdirs -pirrlicht-examples -Pdebian/tmp opt/irrlicht/media opt/irrlicht/examples/bin 
 	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
 	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
 	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
@@ -78,7 +78,8 @@
 	dh_compress 
 	dh_fixperms
 	dh_installdeb
-	dh_shlibdeps
+	dh_makeshlibs
+	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/tmp/usr/lib 
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
