## irrlicht 1.8.0-maemo4

=== debian/changelog ===
irrlicht (1.8.0-maemo4) unstable; urgency=low

  * fixed library strippingZ

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 18 May 2012 22:31:41 +0200
