=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib
 	dh_installdirs -pirrlicht-examples -Pdebian/tmp opt/irrlicht/media opt/irrlicht/examples/bin 
 	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
+	dh_strip
 	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
 	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
 	$(MAKE) -C media DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/media install
@@ -79,7 +80,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_makeshlibs
-	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/tmp/usr/lib 
+	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/irrlicht1.8.0/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
