## irrlicht 1.8.0-maemo5

=== debian/changelog ===
irrlicht (1.8.0-maemo5) unstable; urgency=low

  * next try :-(

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 19 May 2012 00:59:29 +0200
