=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 XSBC-Bugtracker: mailto:nicolaihess@web.de
 
-Package: irrlicht1.8.0-dev
+Package: irrlicht-dev
 Architecture: armel
 Section: libdevel
 Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}
@@ -22,7 +22,7 @@
  Irrlicht is a fast realtime 3D engine written in
  C++ and supports OpenGLES 2.0
 
-Package: irrlicht1.8.0-examples
+Package: irrlicht-examples
 Architecture: armel
 Section: libs
 Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}
