=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib
 	dh_installdirs -pirrlicht-examples -Pdebian/tmp opt/irrlicht/media opt/irrlicht/examples/bin 
 	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
-	dh_strip
 	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
 	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
 	$(MAKE) -C media DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/media install
@@ -75,12 +74,11 @@
 	dh_installexamples
 	dh_install --sourcedir=debian/tmp
 	dh_link
-	dh_strip
 	dh_compress 
 	dh_fixperms
 	dh_installdeb
 	dh_makeshlibs
-	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/irrlicht1.8.0/usr/lib
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
